# Copyright 2022-2023 ETSI TeraFlowSDN - TFS OSG (https://tfs.etsi.org/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Example based on clos01 example (http://containerlab.dev/lab-examples/min-clos/)

# TFS 2 Nokia SR Linux nodes + 2 Linux clients
name: tfs-scenario

mgmt:
  network: mgmt-net
  ipv4-subnet: 172.100.100.0/24

topology:
  kinds:
    srl:
      image: ghcr.io/nokia/srlinux:23.3.1
    linux:
      image: ghcr.io/hellt/network-multitool
  nodes:
    srl1:
      kind: srl
      type: ixr6
      cpu: 0.5
      memory: 1GB
      mgmt-ipv4: 172.100.100.101
      #startup-config: srl1.cli
    srl2:
      kind: srl
      type: ixr6
      cpu: 0.5
      memory: 1GB
      mgmt-ipv4: 172.100.100.102
      #startup-config: srl2.cli
    client1:
      kind: linux
      cpu: 0.1
      memory: 100MB
      mgmt-ipv4: 172.100.100.201
    client2:
      kind: linux
      cpu: 0.1
      memory: 100MB
      mgmt-ipv4: 172.100.100.202

  links:
    - endpoints: ["srl1:e1-1", "srl2:e1-1"]
    - endpoints: ["client1:eth1", "srl1:e1-2"]
    - endpoints: ["client2:eth1", "srl2:e1-2"]
